Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class CancelWorkItem

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.CancelWorkItem

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class CancelWorkItem

extends java.lang.Object
implements OSAction<VoidResult>

Cancel changes made to an Open Work Item and return it to the Work List.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`CancelWorkItem(java.lang.String userId, ManagedId item, java.lang.String channelId, java.lang.String channelType)` Constructs a new CancelWorkItem Action

Method Summary
`java.lang.String` | `getChannelId()` Channel ID, for GWT clients this is typically :
`java.lang.String` | `getChannelType()` Channel Type, for GWT clients this is typically :
`ManagedId` | `getItem()` The ManagedId retrieved from a call to `OpenWorkItem` or `OpenNextWorkItem`
`java.lang.String` | `getUserId()` User ID ( GUID ) of the user cancelling the Work Item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CancelWorkItem

    public CancelWorkItem(java.lang.String userId,
                          ManagedId item,
                          java.lang.String channelId,
                          java.lang.String channelType)

  Constructs a new CancelWorkItem Action

  Parameters:
    `userId` - User ID ( GUID ) of the user cancelling the Work Item.
    `item` - The ToDoItem retrieved from a call to `OpenWorkItem` or `OpenNextWorkItem`
    `channelId` - Channel ID, for GWT clients this is typically :

    "openspaceGWTPull_DefaultChannel"

    `channelType` - Channel Type, for GWT clients this is typically :

    "GWTChannel"

Method Detail

### getUserId

    public java.lang.String getUserId()

  User ID ( GUID ) of the user cancelling the Work Item.

  Returns:
    Returns the userId.

### getItem

    public ManagedId getItem()

  The ManagedId retrieved from a call to `OpenWorkItem` or `OpenNextWorkItem`

  Returns:
    Returns the item.

### getChannelId

    public java.lang.String getChannelId()

  Channel ID, for GWT clients this is typically :

  "openspaceGWTPull_DefaultChannel"

  Returns:
    Returns the channelId.

### getChannelType

    public java.lang.String getChannelType()

  Channel Type, for GWT clients this is typically :

  "GWTChannel"

  Returns:
    Returns the channelType.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.